/*
 * InCode - [ error.c ]
 * (c) 2002, J. Weeks
 * jweeks@subdimension.com
 *
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <stdio.h>

#include "main.h"

FILE *errFile;

int errInit(char *fname) {
  errFile = fopen(fname, "w");
  return 0;
}

int errClose(void) {
  fclose(errFile);
  return 0;
}

int errPrint(char *str) {
  fprintf(errFile, "Error: %s.\n", str);
  return 0;
}

int errAbort(char *str) {
  errPrint(str);
  mainClose();
  exit(-1);
}

int errExpected(char *str) {
  char string[80];

  sprintf(string, "%s expected", str);
  errAbort(string);
  return 0;
}