/*
 * InCode - [ input.h ]
 * (c) 2002, J. Weeks
 * jweeks@subdimension.com
 *
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __INPUT_H__
#define __INPUT_H__

extern char lookAhead;

int inputInit(char *fname);
int inputClose(void);
int inputExists(void);
int inputLookAhead(void);
int inputChar(char *c);

int inputIdent(char *str);
int inputNumber(char *str);
int inputSymbol(char *str);
int inputUntilChar(char *str, char ch);

int toNumber(char *str);

#endif