/*
 * InCode - [ compile.h ]
 * (c) 2002, J. Weeks
 * jweeks@subdimension.com
 *
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __COMPILE_H__
#define __COMPILE_H__

#include "token.h"
#include "list.h"

extern List stack;

int compileLine(List *srcList);
int popStack(void);
int pushResult(int nextOpType, int afterNextOpType);
int perform1RegOperation(char *opcode);
int perform2RegOperation(char *opcode);
#endif