/*
 * InCode - [ list.h ]
 * (c) 2002, J. Weeks
 * jweeks@subdimension.com
 *
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __LIST_H__
#define __LIST_H__

struct Node {
  struct Node *next;
  Token *data;
};

typedef struct {
  long numItems;	// might be used (?)
  struct Node *first;
} List;

int listCreate(List *list);
int listAdd(List *list, Token *add);
int listClear(List *list);
Token *listTop(List *list);
int listRemove(List *list, Token *tok);
int listPrintAll(List *list);

#endif
