/*
 * InCode - [ parse.h ]
 * (c) 2002, J. Weeks
 * jweeks@subdimension.com
 *
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __PARSE_H__
#define __PARSE_H__

#include "list.h"

#define TAny -1

extern List parseTokens;

int parseLine(void);
int parseBlock(void);
int parseStatement(void);
int parseIf(void);
int parsePreTestLoop(void);
int parsePostTestLoop(void);
int parseAssignment(void);
int parseExpression(void);
int parseTerm(void);
int parseFactor(void);
int parseIdentifier(void);
int parseAdd(void);
int parseSub(void);
int parseMul(void);
int parseDiv(void);
Token *parseGet(long type);
int newLabel(char *lblName);

#endif